Mailinglist Archive: opensuse-updates (164 mails)

< Previous Next >
openSUSE-SU-2016:2961-1: moderate: Security update for bash
openSUSE Security Update: Security update for bash
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:2961-1
Rating: moderate
References: #1000396 #1001299 #1001759 #898812 #898884

Cross-References: CVE-2014-6277 CVE-2014-6278 CVE-2016-0634
CVE-2016-7543
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that solves four vulnerabilities and has one
errata is now available.

Description:


This update for bash fixes the following issues:

- CVE-2016-7543: Local attackers could have executed arbitrary commands
via specially crafted SHELLOPTS+PS4 variables (bsc#1001299)
- CVE-2016-0634: Malicious hostnames could have allowed arbitrary command
execution when $HOSTNAME was expanded in the prompt (bsc#1000396)
- CVE-2014-6277: More troubles with functions (bsc#898812, bsc#1001759)
- CVE-2014-6278: Code execution after original 6271 fix (bsc#898884)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-1374=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

bash-4.2-81.1
bash-debuginfo-4.2-81.1
bash-debugsource-4.2-81.1
bash-devel-4.2-81.1
bash-loadables-4.2-81.1
bash-loadables-debuginfo-4.2-81.1
libreadline6-6.2-81.1
libreadline6-debuginfo-6.2-81.1
readline-devel-6.2-81.1

- openSUSE Leap 42.1 (x86_64):

bash-debuginfo-32bit-4.2-81.1
libreadline6-32bit-6.2-81.1
libreadline6-debuginfo-32bit-6.2-81.1
readline-devel-32bit-6.2-81.1

- openSUSE Leap 42.1 (noarch):

bash-doc-4.2-81.1
bash-lang-4.2-81.1
readline-doc-6.2-81.1


References:

https://www.suse.com/security/cve/CVE-2014-6277.html
https://www.suse.com/security/cve/CVE-2014-6278.html
https://www.suse.com/security/cve/CVE-2016-0634.html
https://www.suse.com/security/cve/CVE-2016-7543.html
https://bugzilla.suse.com/1000396
https://bugzilla.suse.com/1001299
https://bugzilla.suse.com/1001759
https://bugzilla.suse.com/898812
https://bugzilla.suse.com/898884


< Previous Next >
This Thread
  • No further messages